API V2 (Beta)
Contentful Integrations
Contentful Integrations
Section titled “Contentful Integrations”Connect a project to Contentful, choose what it translates, and sync, push or pull its content.
Operations
| Operation | Request |
|---|---|
| Sync with Contentful | POST /v2/projects/{projectId}/integrations/contentful/sync |
| Push to Contentful | POST /v2/projects/{projectId}/integrations/contentful/push |
| Pull from Contentful | POST /v2/projects/{projectId}/integrations/contentful/pull |
| Create a Contentful project | POST /v2/integrations/contentful/projects |
| Retrieve the Contentful integration | GET /v2/projects/{projectId}/integrations/contentful |
| Update the Contentful integration | PATCH /v2/projects/{projectId}/integrations/contentful |
| List Contentful spaces | GET /v2/integration-authentications/{integrationAuthenticationId}/contentful-spaces |
| List Contentful languages | GET /v2/integration-authentications/{integrationAuthenticationId}/contentful-languages |
| List Contentful environments | GET /v2/integration-authentications/{integrationAuthenticationId}/contentful-environments |